> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Player Statistic Versions

> Retrieves the information on the available versions of the specified statistic.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |
| StatisticNotFound | 1195 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetPlayerStatisticVersions
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetPlayerStatisticVersions:
    post:
      tags:
        - Player Data Management
      summary: Get Player Statistic Versions
      description: >
        Retrieves the information on the available versions of the specified
        statistic.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ProductDisabledForTitle | 1609 |

        | StatisticNotFound | 1195 |
      operationId: GetPlayerStatisticVersions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPlayerStatisticVersionsRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetPlayerStatisticVersionsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetPlayerStatisticVersionsRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        StatisticName:
          description: unique name of the statistic
          type: string
      example:
        StatisticName: headshots
    GetPlayerStatisticVersionsResult:
      type: object
      properties:
        StatisticVersions:
          description: version change history of the statistic
          type: array
          items:
            $ref: '#/components/schemas/PlayerStatisticVersion'
          x-isclass: true
      example:
        StatisticVersions:
          - StatisticName: headshots
            Version: 2
            ActivationTime: '2015-12-05T10:02:01'
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    PlayerStatisticVersion:
      type: object
      properties:
        ActivationTime:
          description: time when the statistic version became active
          type: string
        DeactivationTime:
          description: >-
            time when the statistic version became inactive due to statistic
            version incrementing
          type: string
        ScheduledActivationTime:
          description: >-
            time at which the statistic version was scheduled to become active,
            based on the configured ResetInterval
          type: string
        ScheduledDeactivationTime:
          description: >-
            time at which the statistic version was scheduled to become
            inactive, based on the configured ResetInterval
          type: string
        StatisticName:
          description: name of the statistic when the version became active
          type: string
        Version:
          description: version of the statistic
          type: number
          x-actualtype: uint32
      required:
        - Version
        - ActivationTime
      example:
        StatisticName: headshots
        Version: 2
        ActivationTime: '2015-12-05T10:02:01'
  responses:
    GetPlayerStatisticVersionsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetPlayerStatisticVersionsResult'
            example:
              code: 200
              status: OK
              data:
                StatisticVersions:
                  - StatisticName: headshots
                    Version: 2
                    ActivationTime: '2015-12-05T10:02:01'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Player Statistic Versions](/services/playfab/api-references/rest/admin/player-data-management/get-player-statistic-versions.md)
- [Increment Player Statistic Version](/services/playfab/api-references/rest/admin/player-data-management/increment-player-statistic-version.md)
- [Get Player Statistic Definitions](/services/playfab/api-references/rest/admin/player-data-management/get-player-statistic-definitions.md)
- [Using resettable statistics and leaderboards](/services/playfab/community/leaderboards/tournaments-leaderboards/using-resettable-statistics-and-leaderboards.md)
- [Update Player Statistic Definition](/api-reference/player-data-management/update-player-statistic-definition.md)
